%{?nodejs_find_provides_and_requires}
%global packagename brace-expansion
%global enable_tests 1
Name:		nodejs-brace-expansion
Version:	1.1.11
Release:	1
Summary:	Brace expansion as known from sh/bash
License:	MIT
URL:		https://github.com/juliangruber/brace-expansion.git
Source0:	https://github.com/juliangruber/brace-expansion/archive/v%{version}.tar.gz
ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch
BuildRequires:       nodejs-packaging grep
%if 0%{?enable_tests}
BuildRequires:       npm(balanced-match) npm(concat-map) npm(tape)
%endif
%description
Brace expansion as known from sh/bash

%prep
%autosetup -n brace-expansion-%{version}
%{_bindir}/grep -A100 '^## License$' README.md > LICENSE.md

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/tape test/*.js
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 1.1.11-1
- Package init
